disp('Running Proof....')
% %%
% for i=1:length(YTest)
%  if (YTest(i)=='benign')
%      YTest_num(i)=0;
%  elseif(YTest(i)=='malignant')
%      YTest_num(i)=1;
%  end   
% end
% %%
% for i=1:length(YPred)
%  if (YPred(i)=='benign')
%      YPred_num(i)=0;
%  elseif(YPred(i)=='malignant')
%      YPred_num(i)=1;
%  end   
% end    
% Perform cross-validation
partitionedModel = crossval(bagEnsemble, 'KFold', 5);

% Compute validation predictions
[validationPredictions, validationScores] = kfoldPredict(partitionedModel);
validationAccuracy = 1 - kfoldLoss(partitionedModel, 'LossFun', 'ClassifError')

[c_matrixp,Result]= confusion.getMatrix(n,validationPredictions);

disp('Getting Values')
Accuracy=Result.Accuracy
Error=Result.Error
Sensitivity=Result.Sensitivity
Specificity=Result.Specificity
Precision=Result.Precision
FalsePositiveRate=Result.FalsePositiveRate
F1_score=Result.F1_score
MatthewsCorrelationCoefficient=Result.MatthewsCorrelationCoefficient
Kappa=Result.Kappa